package re.jimmitry.apps974.furious;
import re.jimmitry.apps974.furious.*;
import re.jimmitry.apps974.fursys.*;
import re.jimmitry.apps974.wsfurious.*;
import re.jimmitry.apps974.wsfurious.xsd.*;
import java.util.HashMap;
public class Fur_PayPal {
public static String getPayPalDoExpressCheckoutPaym(String MySiteID, String TOKEN, String AMT, String CURRENCYCODE, String PayerID, String PAYMENTACTION)
{
  String str= "";
  try {
    str=getPayPalURL(MySiteID)+"&METHOD=DoExpressCheckoutPayment&TOKEN="+java.net.URLEncoder.encode(TOKEN, "UTF-8");
    str+="&AMT="+AMT;
    str+="&CURRENCYCODE="+CURRENCYCODE;
    str+="&PAYERID="+java.net.URLEncoder.encode(PayerID, "UTF-8");
    str+="&PAYMENTACTION="+PAYMENTACTION;
      
  } catch (Exception e) {Fur_File.Trace2("ERROR: Fur_PayPal.getPayPalDoExpressCheckoutPaym: "+e.getMessage());}
  return str;
};
public static String getPayPalGetExpressCheckoutDet(String MySiteID, String TOKEN)
{
  String str= "";
  try {
    str=getPayPalURL(MySiteID)+"&METHOD=GetExpressCheckoutDetails&TOKEN="+java.net.URLEncoder.encode(TOKEN, "UTF-8");
  } catch (Exception e) {Fur_File.Trace2("ERROR: Fur_PayPal.getPayPalGetExpressCheckoutDet: "+e.getMessage());}
  return str;
};
public static String getPayPalSetExpressCheckout(String MySiteID, String CANCELURL, String RETURNURL, String AMT, String CURRENCYCODE, String DESC, String LOCALECODE, String HDRIMG)
{
  String str= "";
  try {
    str=getPayPalURL(MySiteID)+"&METHOD=SetExpressCheckout&CANCELURL="+java.net.URLEncoder.encode(CANCELURL, "UTF-8")+"&RETURNURL="+java.net.URLEncoder.encode(RETURNURL, "UTF-8")+"&AMT="+AMT+"&CURRENCYCODE="+CURRENCYCODE;
    if (!DESC.equals("")) str+="&DESC="+java.net.URLEncoder.encode(DESC, "UTF-8");
    if (!LOCALECODE.equals("")) str+="&LOCALECODE="+LOCALECODE;
    if (!HDRIMG.equals("")) str+="&HDRIMG="+java.net.URLEncoder.encode(HDRIMG, "UTF-8");
  } catch (Exception e) {Fur_File.Trace2("ERROR: Fur_PayPal.getPayPalSetExpressCheckout: "+e.getMessage());}
  return str;
};
public static String getPayPalURL(String MySiteID)
{
  return FurPARAM.getWParam(MySiteID, "ECOM_PAYPALTARGET1_").DATA+"VERSION="+
    FurPARAM.getWParam(MySiteID, "ECOM_PAYPALVERSION_").DATA+"&USER="+
    FurPARAM.getWParam(MySiteID, "ECOM_PAYPALUSER_").DATA+"&PWD="+
    FurPARAM.getWParam(MySiteID, "ECOM_PAYPALPWD_").DATA+"&SIGNATURE="+
    FurPARAM.getWParam(MySiteID, "ECOM_PAYPALSIGNATURE_").DATA;
};
public static HashMap splitVariables(String PaAtomeList)
{
  HashMap<String, String> map = new HashMap<String, String>();
  try {
  if (!Fur_String.LRTRIM(PaAtomeList).equals("")) for(int j=1;j<=Integer.parseInt(Fur_Atome.getSizeAtomeList(PaAtomeList, "&"));j++) {
    map.put(Fur_Atome.getAtome(Fur_Atome.getAtome(PaAtomeList, ""+j, "&"), "1", "="), java.net.URLDecoder.decode(Fur_Atome.getAtome(Fur_Atome.getAtome(PaAtomeList, ""+j, "&"), "2", "="), "UTF-8"));
  }
  } catch (Exception e) {
    
  }
  return map;
};
}
