package re.jimmitry.apps974.furious;
import re.jimmitry.apps974.furious.*;
import re.jimmitry.apps974.fursys.*;
import re.jimmitry.apps974.wsfurious.*;
import re.jimmitry.apps974.wsfurious.xsd.*;
public class SQL_ATOME {
public static FurSYS_DATA DISTINCTATOME(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      
      return new FurSYS_DATA(false, Fur_Atome.distinctAtome(DATA1.DATA, DATA2.DATA));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA DISTINCTLRTRIMATOME(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      
      return new FurSYS_DATA(false, Fur_Atome.distinctLRTrimAtome(DATA1.DATA, DATA2.DATA));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA FINDATOME(FurSYS_DATA DATA1, FurSYS_DATA DATA2, FurSYS_DATA DATA3) {
  try {
    int j = 0;
    if (DATA1.isNull || DATA2.isNull || DATA3.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      for(int i=1;i<=Integer.parseInt(Fur_Atome.getSizeAtomeList(DATA1.DATA, DATA3.DATA));i++) {
        if (Fur_Atome.getAtome(DATA1.DATA, ""+i, DATA3.DATA).equals(DATA2.DATA)) {
          j=i; break;
        }
      }
      return new FurSYS_DATA(false, ""+j);
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA GETATOME(FurSYS_DATA DATA1, FurSYS_DATA DATA2, FurSYS_DATA DATA3) {
  try {
    if (DATA1.isNull || DATA2.isNull || DATA3.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, Fur_Atome.getAtome(DATA1.DATA, DATA2.DATA, DATA3.DATA));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA GETATOMESIZE(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, Fur_Atome.getSizeAtomeList(DATA1.DATA, DATA2.DATA));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA GETFIRSTATOME(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      
      return new FurSYS_DATA(false, Fur_Atome.getAtome(DATA1.DATA, "1", DATA2.DATA));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA GETLASTATOME(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      
      return new FurSYS_DATA(false, Fur_Atome.getAtome(DATA1.DATA, Fur_Atome.getSizeAtomeList(DATA1.DATA, DATA2.DATA), DATA2.DATA));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA INTCONDOR(FurSYS_DATA DATA1, FurSYS_DATA DATA2, FurSYS_DATA DATA3) {
  try {
    String cond = "";
    if (DATA1.isNull || DATA2.isNull || DATA3.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
       if (DATA2.DATA.equals("")) {
         cond="True";
       } else {
	 for(int i=1;i<=Integer.parseInt(Fur_Atome.getSizeAtomeList(DATA2.DATA, DATA3.DATA));i++) {
	   cond+=" or "+DATA1.DATA+"="+Fur_Atome.getAtome(DATA2.DATA, ""+i, DATA3.DATA);
	 }
	 cond=cond.substring(4);
       }
      return new FurSYS_DATA(false, cond);
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA STRCONDOR(FurSYS_DATA DATA1, FurSYS_DATA DATA2, FurSYS_DATA DATA3) {
  try {
    String cond = "";
    if (DATA1.isNull || DATA2.isNull || DATA3.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
       if (DATA2.DATA.equals("")) {
         cond="True";
       } else {
	 for(int i=1;i<=Integer.parseInt(Fur_Atome.getSizeAtomeList(DATA2.DATA, DATA3.DATA));i++) {
	   cond+=" or "+DATA1.DATA+"='"+Fur_Atome.getAtome(DATA2.DATA, ""+i, DATA3.DATA)+"'";
	 }
	 cond=cond.substring(4);
       }
      return new FurSYS_DATA(false, cond);
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
}
