package re.jimmitry.apps974.furious;
import re.jimmitry.apps974.furious.*;
import re.jimmitry.apps974.fursys.*;
import re.jimmitry.apps974.wsfurious.*;
import re.jimmitry.apps974.wsfurious.xsd.*;
public class SQL_MATH {
public static FurSYS_DATA ABS(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(java.lang.Math.abs(Double.parseDouble(DATA1.DATA))));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA ADD(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(Double.parseDouble(DATA1.DATA)+Double.parseDouble(DATA2.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA CEIL(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(java.lang.Math.ceil(Double.parseDouble(DATA1.DATA))));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA DIV(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      if (Double.parseDouble(DATA2.DATA)==0) return new FurSYS_DATA(true, "(null)");
      else return new FurSYS_DATA(false, ""+(Double.parseDouble(DATA1.DATA)/Double.parseDouble(DATA2.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA FLOOR(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(java.lang.Math.floor(Double.parseDouble(DATA1.DATA))));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA MUL(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(Double.parseDouble(DATA1.DATA)*Double.parseDouble(DATA2.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA POWER(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(java.lang.Math.pow(Double.parseDouble(DATA1.DATA), Double.parseDouble(DATA2.DATA))));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA RANDOM(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(java.lang.Math.floor(java.lang.Math.random()*Double.parseDouble(DATA1.DATA))));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA ROUND(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      double val = Double.parseDouble(DATA1.DATA);
      val *= Math.pow(10, Double.parseDouble(DATA2.DATA))*1.0;
      val = Math.floor(val+0.5);
      val /= Math.pow(10, Double.parseDouble(DATA2.DATA))*1.0;
      return new FurSYS_DATA(false, ""+val);
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA SIGN(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      if (Double.parseDouble(DATA1.DATA)<0) return new FurSYS_DATA(false, "-1");
      else if (Double.parseDouble(DATA1.DATA)>0) return new FurSYS_DATA(false, "1");
      else return new FurSYS_DATA(false, "0");
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA SQRT(FurSYS_DATA DATA1) {
  try {
    if (DATA1.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(java.lang.Math.sqrt(Double.parseDouble(DATA1.DATA))));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
public static FurSYS_DATA SUB(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      return new FurSYS_DATA(false, ""+(Double.parseDouble(DATA1.DATA)-Double.parseDouble(DATA2.DATA)));
    }
  } catch (Exception e) {
    return new FurSYS_DATA(true, "(null)");
  }
}
}
